# Role : docker_kanboard


## Services fournis

Installation de kanboard sur un serveur docker_host

Kanboard est configuré en lien avec un annuaire LDAP pour l'authentification




## Variables

Fournir les variables suivantes. Par exemple :

```yaml
docker_kanboard_fqdn: kanboard.libretic.fr
docker_kanboard_data_dir: /data1
docker_kanboard_service_id: kanboard
docker_kanboard_ldap_server: mon-serveur-ldap.domaine.local
docker_kanboard_ldap_binddn: uid=compte-service-kanboard,ou=comptes-de-service,dc=domaine,dc=local
docker_kanboard_ldap_bindpwd: mdp_du_compte_de_service
docker_kanboard_ldap_users_base: ou=utilisateurs,dc=domaine,dc=local
docker_kanboard_ldap_users_filter: uid=%s
docker_kanboard_ldap_group_admin_dn: cn=administrateurs-kanboard,ou=groupes,dc=domaine,dc=local
docker_kanboard_ldap_group_manager_dn: cn=managers-kanboard,ou=groupes,dc=domaine,dc=local
docker_kanboard_ldap_groups_base: ou=groupes,dc=domaine,dc=local
docker_kanboard_ldap_groups_filter: "(&(objectClass=groupOfUniqueNames)(cn=%s*))"
docker_kanboard_mail_from: nepasrepondre@libretic.fr
docker_kanboard_mail_server: smtp-server.domaine.local
docker_kanboard_mail_helo: machine.domaine.local
```

| Option                                | Valeur par défaut | Description                                                                               |
|---------------------------------------|-------------------|-------------------------------------------------------------------------------------------|
| docker_kanboard_fqdn                  |                   | Le nom de domaine pour lequel le service kanboard répond                                  |
| docker_kanboard_data_dir              |                   | L'emplacement dans lequel se trouvent les volumes de donnees docker pour le service       |
| docker_kanboard_service_id            |                   | Le nom de service souhaité : conditionne le nommage des volumes et le routage par traefik |
| docker_kanboard_ssh_port              | 222               | Le numero de port local pour l'accès à kanboard par ssh                                   |
| docker_kanboard_ldap_server           |                   | Adresse du serveur LDAP                                                                   |
| docker_kanboard_ldap_binddn           |                   | DN du compte de service de connexion à l'annuaire LDAP                                    |
| docker_kanboard_ldap_bindpwd          |                   | Mot de passe du compte de service de connexion à l'annuaire LDAP                          |
| docker_kanboard_ldap_users_base       |                   | DN du noeud de départ pour la recherche des utilisateurs                                  |
| docker_kanboard_ldap_users_filter     |                   | Filtre de recherche des utilisateurs                                                      |
| docker_kanboard_ldap_group_admin_dn   |                   | DN du groupe des administrateurs de kanboard                                              |
| docker_kanboard_ldap_group_manager_dn |                   | DN du groupe des managers de kanboard                                                     |
| docker_kanboard_ldap_groups_base      |                   | DN du noeud de départ pour la recherche des groupes                                       |
| docker_kanboard_ldap_groups_filter    |                   | Filtre de recherche des groupes                                                           |
| docker_kanboard_mail_from             |                   | Adresse email émettrice des messages envoyés par kanboard                                 |
| docker_kanboard_mail_server           |                   | Adresse du serveur SMTP pour l'envoi de mails                                             |
| docker_kanboard_mail_helo             |                   | fqdn présenté pour le helo smtp                                                           |


