<?php
//
// {{ ansible_managed }}
//

defined('ENABLE_URL_REWRITE') or define('ENABLE_URL_REWRITE', true);
defined('LOG_DRIVER') or define('LOG_DRIVER', 'system');

// LDAP Configuration
define('LDAP_AUTH', true);
define('LDAP_SERVER', '{{ docker_kanboard_ldap_server }}');
define('LDAP_PORT', 389);
define('LDAP_BIND_TYPE', 'proxy');
define('LDAP_USERNAME', '{{ docker_kanboard_ldap_binddn }}');
define('LDAP_PASSWORD', '{{ docker_kanboard_ldap_bindpwd }}');
define('LDAP_USER_BASE_DN', '{{ docker_kanboard_ldap_users_base }}');
define('LDAP_USER_FILTER', '{{ docker_kanboard_ldap_users_filter }}');
define('LDAP_GROUP_ADMIN_DN', '{{ docker_kanboard_ldap_group_admin_dn }}');
define('LDAP_GROUP_MANAGER_DN', '{{ docker_kanboard_ldap_group_manager_dn }}');
define('LDAP_GROUP_PROVIDER', true);
define('LDAP_GROUP_BASE_DN', '{{ docker_kanboard_ldap_groups_base }}');
define('LDAP_GROUP_FILTER', '{{ docker_kanboard_ldap_groups_filter }}');


// Enable/disable email configuration from the user interface
define('MAIL_CONFIGURATION', true);

// E-mail address used for the "From" header (notifications)
define('MAIL_FROM', '{{ docker_kanboard_mail_from }}');

// Mail transport to use: "smtp", "sendmail" or "mail" (PHP mail function)
define('MAIL_TRANSPORT', 'smtp');

// SMTP configuration to use when the "smtp" transport is chosen
define('MAIL_SMTP_HOSTNAME', '{{ docker_kanboard_mail_server }}');
define('MAIL_SMTP_PORT', 25);
define('MAIL_SMTP_USERNAME', '');
define('MAIL_SMTP_PASSWORD', '');
define('MAIL_SMTP_HELO_NAME', '{{ docker_kanboard_mail_helo }}'); // valid: null (default), or FQDN
define('MAIL_SMTP_ENCRYPTION', null); // Valid values are "null", "ssl" or "tls"


// Enable captcha after 3 authentication failure
define('BRUTEFORCE_CAPTCHA', 3);

// Lock the account after 6 authentication failure
define('BRUTEFORCE_LOCKDOWN', 6);

// Lock account duration in minute
define('BRUTEFORCE_LOCKDOWN_DURATION', 15);
